# caosdb-cppinttest

Integration tests for caosdb-cpplib and the caosdb-server

# Dependencies

* clang-tidy
* clang-format
* include-what-you-use
* cmake
* conan

# Run tests

1. `mkdir build && cd build/`
2. `conan install .. -s "compiler.libcxx=libstdc++11"`
3. `cmake -B . ..`
4. `cmake --build .`
5. Setup env vars
6. Run with `ctest` in the build directory.


